<?php

if(!class_exists('iz_spicehub_post_type'))
{
	class iz_spicehub_post_type {

		public function __construct()
		{
			add_action('init', array($this, 'register_post_type'));
			// add_action('save_post', array($this, 'save_metadata'));
			// add_action('add_meta_boxes', array($this, 'meta_boxs'));
		}

		public function register_post_type()
		{			
	        // Register testimonial
	        $labels = array(
	            'name'               => _x( 'Testimonial', 'post type general name',IZ_LANG ),
	            'singular_name'      => _x( 'iz_testimonial', 'post type singular name',IZ_LANG ),
	            'menu_name'          => _x( 'Testimonial', 'admin menu',IZ_LANG ),
	            'name_admin_bar'     => _x( 'Testimonial', 'add new on admin bar',IZ_LANG ),
	            'add_new'            => _x( 'Add New', 'iz_testimonial',IZ_LANG ),
	            'add_new_item'       => __( 'Add New Testimonial',IZ_LANG ),
	            'new_item'           => __( 'New Testimonial', IZ_LANG ),
	            'edit_item'          => __( 'Edit Testimonial', IZ_LANG ),
	            'view_item'          => __( 'View Testimonial', IZ_LANG ),
	            'all_items'          => __( 'All Testimonial', IZ_LANG ),
	            'search_items'       => __( 'Search Testimonial',IZ_LANG ),
	            'parent_item_colon'  => __( 'Parent Testimonial:',IZ_LANG ),
	            'not_found'          => __( 'No Testimonial found.',IZ_LANG ),
	            'not_found_in_trash' => __( 'No Testimonial found in Trash.', IZ_LANG ),
	        );

	        $args = array(
	            'labels'             => $labels,
	            'public'             => true,
	            'publicly_queryable' => true,
	            'show_ui'            => true,
	            'show_in_menu'       => true,
	            'query_var'          => true,
	            'rewrite'            => array('slug' => 'iz_testimonial'),
	            'capability_type'    => 'post',
	            'show_in_nav_menus'  => false,
	            'has_archive'        => true,
	            'hierarchical'       => true,
	            'menu_position'      => 8,
	            'menu_icon'          => 'dashicons-portfolio',
	            'supports'           => array( 'iz_testimonial' ,'title', 'editor', )
	        );

	        register_post_type( 'iz_testimonial', $args );
		}

		public function meta_boxs()
		{
			add_meta_box(
				'iz_gallary', // meta box id
				'Meta Box', // meta box title
				array($this, 'create_gallery'), // function print html
				'iz_menu',
				'normal',
				'default',
				''
				);
			add_meta_box(
				'iz_gallary', // meta box id
				'Meta Box', // meta box title
				array($this, 'metabox_event'), // function print html
				'iz_event',
				'normal',
				'default',
				''
				);
			add_meta_box(
				'iz_gallary', // meta box id
				'Meta Box', // meta box title
				array($this, 'metabox_event'), // function print html
				'iz_gallary',
				'normal',
				'default',
				''
				);
		}

		public function create_gallery($post)
		{
			$gallery = get_post_meta($post->ID, '_iz_gallery', true);
            $attach_ids = json_decode($gallery);

            ?>
			<div class="iz_gallery">
				<h3><?php _e('Create Gallery', IZ_LANG); ?></h3>
				<ul class="iz_gallery_images ui-sortable">
					<?php 
					if(is_array($attach_ids) && count($attach_ids)>0)
					{
						foreach ($attach_ids as $value) {
							if($value!='')
							{
								$image = wp_get_attachment_image_src($value, 'iz-cart-thumb', false);
								echo '<li class="image" data-attachment_id="'.$value.'">';
								echo '<img src="'.$image[0].'" />';
								echo '<ul class="actions">';
								echo '<li><a href="#" class="delete" title="delete">delete</a></li>';
								echo '</ul>';
								echo '</li>';
							}
						}
					}
					?>
				</ul>
				<input name="_iz_gallery" value="<?php echo esc_attr($gallery); ?>" id="room_image_gallery" type="hidden">
				<div class="">
					<button class="button button-primary button-large iz_add_gallery" type="button"><?php _e('Add Image', IZ_LANG) ?></button>
				</div>
			</div>
			<div class="iz_price">
				<h3><?php _e('Enter Sort Description Service', IZ_LANG) ?></h3>
				<input type="text" value="<?php echo get_post_meta($post->ID, '_iz_menu_service', true); ?>" class="iz_input_text" name="_iz_menu_service">
			</div>
			<div class="iz_price">
				<h3><?php _e('Menu Price', IZ_LANG) ?></h3>
				<input type="text" style="width: 100%" value="<?php echo get_post_meta($post->ID, '_iz_menu_price', true); ?>" class="iz_input_number" name="_iz_menu_price">
			</div>
			<?php
			wp_nonce_field( 'iz_gallery_meta', 'iz_gallery_nonce_field' );
		}

		public function metabox_event($post){
			$gallery = get_post_meta($post->ID, '_iz_gallery', true);
            $attach_ids = json_decode($gallery);

            ?>
			<div class="iz_gallery">
				<h3><?php _e('Create Gallery', IZ_LANG); ?></h3>
				<ul class="iz_gallery_images ui-sortable">
					<?php 
					if(is_array($attach_ids) && count($attach_ids)>0)
					{
						foreach ($attach_ids as $value) {
							if($value!='')
							{
								$image = wp_get_attachment_image_src($value, 'iz-cart-thumb', false);
								echo '<li class="image" data-attachment_id="'.$value.'">';
								echo '<img src="'.$image[0].'" />';
								echo '<ul class="actions">';
								echo '<li><a href="#" class="delete" title="delete">delete</a></li>';
								echo '</ul>';
								echo '</li>';
							}
						}
					}
					?>
				</ul>
				<input name="_iz_gallery" value="<?php echo esc_attr($gallery); ?>" id="room_image_gallery" type="hidden">
				<div class="">
					<button class="button button-primary button-large iz_add_gallery" type="button"><?php _e('Add Image', IZ_LANG) ?></button>
				</div>
			</div>
			<?php if($post->post_type == 'iz_event') : ?>
			<div class="iz_price">
				<h3><?php _e('Enter Time For Event', IZ_LANG) ?></h3>
				<input type="text" style="width: 100%" value="<?php echo get_post_meta($post->ID, '_iz_menu_service', true); ?>" class="iz_input_text" name="_iz_menu_service">
			</div>
			<?php
			endif;
			wp_nonce_field( 'iz_gallery_meta', 'iz_gallery_nonce_field' );
		}

		public function save_metadata($post_id)
		{
			if(!isset($_POST['iz_gallery_nonce_field']))
			{
				return;
			}
			if(!wp_verify_nonce($_POST['iz_gallery_nonce_field'], 'iz_gallery_meta'))
			{
				return;
			}
			if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
				return;
			}
			if(isset($_POST['_iz_gallery']))
			{
				update_post_meta($post_id, '_iz_gallery', $_POST['_iz_gallery']);
			}

			if(isset($_POST['_iz_menu_price']))
			{
				update_post_meta($post_id, '_iz_menu_price', $_POST['_iz_menu_price']);
			}
			if(isset($_POST['_iz_menu_service']))
			{
				update_post_meta($post_id, '_iz_menu_service', $_POST['_iz_menu_service']);
			}
		}
	}
}