<?php
if(!class_exists('iz_vc_carousel_item'))
{
	class iz_vc_carousel_item extends iz_shortcode{
		public function __construct()
		{
			$this->custom_shortcode('iz_service', array($this, 'iz_render_html'));
			add_action('vc_before_init', array($this, 'iz_vc_shortcode'));
		}

		public function iz_render_html($atts, $content ='')
		{
			return $this->get_template('spa_service.php', $atts, $content);
		}

		public function iz_vc_shortcode()
		{
		   	vc_map( array(
		      "name"      => __( "Spa Service", IZ_LANG),
		      "base"      => "iz_service",
		      "category"  => __( "Spa Shortcode", IZ_LANG),
		      // 'admin_enqueue_css' => array(get_template_directory_uri().'/builder/assets/css/vc_extends_css.css'),
		      "params" => array(		        
		        array(
		        	'type' => 'textfield',
		    		'heading' => __('Service title', IZ_LANG),
		    		'param_name' => 'title',		      		
		    	),
		    	array(
		    		'type' => 'checkbox',
		    		'param_name' => 'active',
		    		'value' => array(
		    			__('This service item is active?', IZ_LANG) => 'true',		    			
		    		),
		    	),
		    	array(
		    		'type' => 'attach_image',
		    		'heading' => __('Image service', IZ_LANG),
		    		'param_name' => 'image',		    		
		    	),
		    	array(
		    		'type' => 'textfield',
		    		'heading'=> __('Info title', IZ_LANG),
		    		'group' => __( "Service info", IZ_LANG ),
		    		'param_name' => 'slider_title',
		    	),
		    	array(
		        	'type' => 'textfield',
		    		'heading' => __('Span title text', IZ_LANG),
		    		'param_name' => 'span',
		    		'group' => __( "Service info", IZ_LANG ),
		      		'value' => '',		    		
		    		'edit_field_class' => 'vc_col-md-6'
		    	),
		    	array(
		    		'type' => 'textarea',
		    		'heading' => __('Service description', IZ_LANG),
		    		'param_name' => 'description',
		    		'group' => __( "Service info", IZ_LANG ),		    		
		    	),		    	
		    	array(
		    		'type' => 'textfield',
		    		'heading' => __('Service price', IZ_LANG),
		    		'param_name' => 'price',
		    		'group' => __( "Service info", IZ_LANG ),	
		    	),
		    	array(
		    		'type' => 'iz_about',
		    		'heading' => __('Service detail item', IZ_LANG),
		    		'param_name' => 'item',
		    		'group' => __('Service detail item', IZ_LANG),
		    	),
		    )
			));
		}
	}
}