<?php
if(!class_exists('iz_vc_head_line'))
{
	class iz_vc_head_line extends iz_shortcode{
		public function __construct()
		{
			$this->custom_shortcode('iz_head_line', array($this, 'iz_render_html'));
			add_action('vc_before_init', array($this, 'iz_vc_shortcode'));
		}

		public function iz_render_html($atts, $content ='')
		{
			extract( shortcode_atts( array(
			    'title'     => '',
			    'span' => '',
			    'heading' => '',
			    'class' => '',
			    'animation' => '',
			    'delay' => '',
			   ), $atts ) );

			$a = ($animation != '') ? 'wow '.esc_attr($animation) : '';
			$data_wow = ($delay != '') ? 'data-wow-delay="'.esc_attr($delay).'"' : '';
			$html = '<'.$heading.' '.$data_wow.' data-wow-offset="300" class="'.esc_attr($a).' '.$class.'">'.esc_attr($title).'<span>'.esc_attr($span).'</span></'.$heading.'>';            
		    return $html;
		}

		public function iz_vc_shortcode()
		{
		   	vc_map( array(
		      "name"      => __( "Spa Head Title", IZ_LANG),
		      "base"      => "iz_head_line",
		      "category"  => __( "Spa Shortcode", IZ_LANG),
		      // 'admin_enqueue_css' => array(get_template_directory_uri().'/builder/assets/css/vc_extends_css.css'),
		      "params" => array(		        
		        array(
		        	'type' => 'textfield',
		    		'heading' => __('Title text', IZ_LANG),
		    		'param_name' => 'title',
		      		'value' => '',		    		
		    		'placeholder' => 'h3',
		    	),
		    	array(
		        	'type' => 'textfield',
		    		'heading' => __('Title span text', IZ_LANG),
		    		'param_name' => 'span',
		      		'value' => '',		    		
		    	),
		    	array(
		    		'type' => 'dropdown',
		    		'heading' => __('Heading tag', IZ_LANG),
		    		'param_name' => 'heading',
		    		'value' => array(
		    			'H1' => 'h1',
		    			'H2' => 'h2',
		    			'H3' => 'h3',
		    			'H4' => 'h4',
		    			'H5' => 'h5',
		    			'H6' => 'h6',
		    		),
		    	),
		    	array(
		    		'type' => 'textfield',
		    		'heading' => __('Extra class', IZ_LANG),
		    		'value' => '',
		    		'param_name' => 'class',
		    	),
		        array(
		        	'type' => 'dropdown',
		        	'heading' => __('Title animation', IZ_LANG),
		        	'param_name' => 'animation',
		        	'value' => $this->animation(),
		        ),
		        array(
		        	'type' => 'textfield',
		    		'heading' => __('Animation Time delay', IZ_LANG),
		    		'param_name' => 'delay',
		      		'value' => '',
		    		'description' => __('Time delay of heading (example entern 0.6s)', IZ_LANG),		    		
		    	),
		    )
			));
		}
	}
}